defmodule Berrypod.Repo.Migrations.CreateFaviconVariants do
  use Ecto.Migration

  def change do
    create table(:favicon_variants, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :source_image_id, references(:images, type: :binary_id, on_delete: :nilify_all)
      add :png_32, :binary
      add :png_180, :binary
      add :png_192, :binary
      add :png_512, :binary
      add :svg, :text
      add :generated_at, :utc_datetime

      timestamps(type: :utc_datetime)
    end
  end
end
